Community
Showing results for 
Search instead for 
Do you mean 
Reply

Are you required to update?

New Member
Posts: 1
Country: United States

Are you required to update?

I have ACT v10 and constantly get a message that updates are available.  I was told by an ACT tech support person that I should never update from within ACT but should instead go to the ACT website and download the updates from there.  I see that there are a lot of people having problems with updates and I don't want any part of that. 

 

Do you have to install these updates?  If so, do I have to install 10.1 then 10.2 then 10.3 or can I skip 1 and 2 and go directly to 3?

Bronze Elite Contributor
Posts: 2,545
Country: New_Zealand

Re: Are you required to update?

There is no requirement to update but they can be useful is the short answer.

 

The updates contain repairs to software bugs, updates to keep ACT! working best with other applications that it interacts with and some new features of the product. In recent releases there have been some very useful features that have been released through the update process.

 

ACT! inline releases contain the previous release version changes. This has been the policy that Sage ACT! have kept consistent and is good practice as it is easiest procedure to manage. 

 

Our advice to customers is not to update via the automated popup process in ACT! as you have least control over the outcome if something should occur in the process. If you are running ACT! as a multi-user database most updates require both the ACT! application and the database itself to be updated as the changes affect the database schema. The schema is the underlying structure of the database. In most inline releases, all users need to be updated to the same inline version, e.g 10.0.3, to be able to open the database once it has been converted to the new version. In other words the database cannot be opened by a user whose ACT! application isn't running at the same version level. The conversion of the database schema occurs when the database is first opened by a user having updated. So you can see it needs to be coordinated and in my view where it should be performed by somebody with IT skills and/or an ACT! Consultant.

 

My advice is to:

1. Avoid an update via the automated on-line process but download it from www.act.com

2. Not to be in a rush to apply the updates first up. Scan users groups to see what others are experiencing or talk to an ACT! Consultant first.

 

 

 

 

 

     

Graeme Leo
Xact Software - consultants and developers
Follow us on Twitter and check out our Blog